commit: 86318134b18dd16cd10a67e1986594556181da43
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 7 19:12:46 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Feb 9 16:46:58 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86318134
sci-visualization/pythonprop: Switch to PYTHON_MULTI_USEDEP API
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
sci-visualization/pythonprop/pythonprop-0.13.ebuild | 12 +++++++-----
.../{pythonprop-0.18-r1.ebuild => pythonprop-0.18-r2.ebuild} | 12 +++++++-----
2 files changed, 14 insertions(+), 10 deletions(-)
diff --git a/sci-visualization/pythonprop/pythonprop-0.13.ebuild
b/sci-visualization/pythonprop/pythonprop-0.13.ebuild
index 854920aa56a..729017cea4f 100644
--- a/sci-visualization/pythonprop/pythonprop-0.13.ebuild
+++ b/sci-visualization/pythonprop/pythonprop-0.13.ebuild
@@ -19,11 +19,13 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="
${PYTHON_DEPS}
- || (
- dev-python/matplotlib-python2[gtk2,${PYTHON_USEDEP}]
- dev-python/matplotlib[gtk2,${PYTHON_USEDEP}]
- )
- dev-python/basemap[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ || (
+
dev-python/matplotlib-python2[gtk2,${PYTHON_MULTI_USEDEP}]
+ dev-python/matplotlib[gtk2,${PYTHON_MULTI_USEDEP}]
+ )
+ ')
+ dev-python/basemap[${PYTHON_SINGLE_USEDEP}]
sci-electronics/voacapl
"
DEPEND="${RDEPEND}"
diff --git a/sci-visualization/pythonprop/pythonprop-0.18-r1.ebuild
b/sci-visualization/pythonprop/pythonprop-0.18-r2.ebuild
similarity index 80%
rename from sci-visualization/pythonprop/pythonprop-0.18-r1.ebuild
rename to sci-visualization/pythonprop/pythonprop-0.18-r2.ebuild
index a5c36e5b53b..4f8e8ef1e52 100644
--- a/sci-visualization/pythonprop/pythonprop-0.18-r1.ebuild
+++ b/sci-visualization/pythonprop/pythonprop-0.18-r2.ebuild
@@ -19,11 +19,13 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="
${PYTHON_DEPS}
- || (
- dev-python/matplotlib-python2[${PYTHON_USEDEP}]
- dev-python/matplotlib[${PYTHON_USEDEP}]
- )
- dev-python/basemap[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ || (
+ dev-python/matplotlib-python2[${PYTHON_MULTI_USEDEP}]
+ dev-python/matplotlib[${PYTHON_MULTI_USEDEP}]
+ )
+ ')
+ dev-python/basemap[${PYTHON_SINGLE_USEDEP}]
sci-electronics/voacapl
"
DEPEND="${RDEPEND}